/***************************************************************
 * Name:      event.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#include "event.h"

Event::Event()
: m_id(-1), m_event(wxEmptyString), m_descr(wxEmptyString), m_date(wxDefaultDateTime), m_reminder(0), m_reminded(true)
{
}

Event::Event(long id, wxString event, wxString descr, wxDateTime date, wxLongLong reminder, bool reminded)
: m_id(id), m_event(event), m_descr(descr), m_date(date), m_reminder(reminder), m_reminded(reminded)
{
}

Event::~Event()
{
}

void Event::SetEvent(wxString event)
{
    m_event = event;
}

void Event::SetDescr(wxString descr)
{
    m_descr = descr;
}

void Event::SetDate(wxDateTime date)
{
    m_date = date;
}

wxDateTime Event::GetReminderDate() const
{
    return wxDateTime(m_date-wxTimeSpan::Minutes(m_reminder.ToLong()));
}

void Event::SetReminder(wxLongLong reminder)
{
    m_reminder = reminder;
}

void Event::SetReminded(bool reminded)
{
    m_reminded = reminded;
}

