/***************************************************************
 * Name:      event.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef EVENT_H
#define	EVENT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Event {
public:
    Event();
    Event(long id, wxString event, wxString descr, wxDateTime date, wxLongLong reminder, bool reminded);
    virtual ~Event();

    long GetID() const { return m_id; }
    wxString GetEvent() const { return m_event; }
    void SetEvent(wxString event);
    wxString GetDescr() const { return m_descr; }
    void SetDescr(wxString descr);
    wxDateTime GetDate() const { return m_date; }
    void SetDate(wxDateTime date);
    wxDateTime GetReminderDate() const;
    wxLongLong GetReminder() const { return m_reminder; }
    void SetReminder(wxLongLong reminder);
    bool IsReminded() const { return m_reminded; }
    void SetReminded(bool reminded);
    bool IsValid() const { return m_id != -1; }
private:
    long m_id;
    wxString m_event, m_descr;
    wxDateTime m_date;
    wxLongLong m_reminder;
    bool m_reminded;
};

#endif	/* EVENT_H */

