/***************************************************************
 * Name:      recurrence.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef RECURRENCE_H
#define	RECURRENCE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

//Recurrence type
enum {
    R_NEVER = 0,
    R_DAILY,
    R_WEEKLY,
    R_2WEEKLY,
    R_MONTHLY,
    R_OWN
};

class Recurrence {
public:
    Recurrence();
    Recurrence(long id, int type, int days, int months, long eventid);
    virtual ~Recurrence();

    long GetID() const { return m_id; }
    long GetEventID() const { return m_eventid; }
    int GetType() const { return m_type; }
    void SetType(int type);
    int GetDays() const { return m_days; }
    void SetDays(int days);
    int GetMonths() const { return m_months; }
    void SetMonths(int months);
    bool IsValid() const { return m_id != -1; }
private:
    long m_id, m_eventid;
    int m_type, m_days, m_months;
};

#endif	/* RECURRENCE_H */

