/***************************************************************
 * Name:      eventmsgdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2013
 * License:   GPL3
 **************************************************************/

#ifndef EVENTMSGDIALOG_H
#define EVENTMSGDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include <wx/timectrl.h>
#include "data/engine.h"

class LaterDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(LaterDialog)
    DECLARE_EVENT_TABLE()
public:
    LaterDialog() {}
    LaterDialog(wxWindow *parent, wxDateTime date);
    
    wxLongLong GetReminder() const { return m_reminder; }
private:
    wxChoice *m_reminderCtrl;
    wxDateTime m_date;
    wxLongLong m_reminder;

    void OnReminder(wxCommandEvent& event);
    void RecalculateReminder(wxLongLong reminder);
};

class EventMsgDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(EventMsgDialog)
    DECLARE_EVENT_TABLE()
public:
    EventMsgDialog() : m_db() {}
    EventMsgDialog(wxWindow *parent, Engine *db, Event event);
private:
    Engine *m_db;
    long m_id;
    wxDateTime m_date;

    void OnRemindLater(wxCommandEvent& event);
};

#endif  /* EVENTMSGDIALOG_H */

